package com.javacodegeeks.examples.restfulbackend.contact.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import com.javacodegeeks.examples.restfulbackend.contact.domain.Contact;
import com.javacodegeeks.examples.restfulbackend.contact.service.ContactService;

@RestController
public class SpringContactCRUDRestController implements ContactCRUDController {
	@Autowired
	private ContactService contactService;
	
	@Override
	@RequestMapping(path = "/api/contact", method = RequestMethod.PUT)
	public void create(@RequestBody Contact contactToCreate) {
		this.contactService.create(contactToCreate);
	}

	@Override
	@RequestMapping(path = "/api/contact", method = RequestMethod.GET)
	public @ResponseBody List<Contact> get() {
		return this.contactService.get();
	}

	@Override
	@RequestMapping(path = "/api/contact/{id}", method = RequestMethod.GET)
	public @ResponseBody Contact getById(@PathVariable("id") Integer id) {
		return this.contactService.getById(id);
	}

}
