package com.javacodegeeks.examples.restfulbackend.contact.repository;

import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;

import org.springframework.stereotype.Repository;

import com.javacodegeeks.examples.restfulbackend.contact.domain.Contact;

@Repository
public class SpringContactRepository implements ContactRepository {
	private Map<Integer, Contact> contacts;
	
	@PostConstruct
	public void init() {
		this.contacts = new HashMap<>();
	}
	
	@Override
	public void create(Contact contactToCreate) {
		contactToCreate.setId(this.contacts.values().size());
		this.contacts.put(contactToCreate.getId(), contactToCreate);
	}

	@Override
	public List<Contact> get() {
		return new LinkedList<>(this.contacts.values());
	}

	@Override
	public Contact getById(Integer id) {
		return this.contacts.get(id);
	}

}
